<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://displaytag.sf.net" prefix="display" %>

<html>
<body>
<b>Search Customers</b>
<html:form action="/searchCustomer">
<table>
<tr>
  <td width="100">Name:</td>
  <td colspan="2"><html:text property="name"/></td>
</tr>
<tr>
  <td>Address:</td>
  <td colspan="2"><html:text property="address"/></td>
</tr>
<tr>
  <td>Phone:</td>
  <td colspan="2"><html:text property="phone"/></td></tr>
</tr>
<tr>
		<td><html:submit>Search</html:submit></td>
		<td>&nbsp;</td>
		<td><html:link action="/displayCreateCustomerForm">Create New Customer</html:link></td>
</tr>
</table>

<c:if test="${customerList!=null}">
<hr/>
<b>Search Results</b>
<br/>
<br/>
<display:table name="sessionScope.customerList" id="customer" pagesize="5" requestURI="" border="1">   
  <display:column property="name" title="Customer Name"/>
  <display:column property="address" title="Customer Address"/>
  <display:column property="phone" title="Customer Phone"/>
  <display:column>
    <html:link action="/getCustomer" paramName="customer" paramId="customerId" paramProperty="id">update</html:link>
  </display:column>   
  <display:column>
    <html:link action="/deleteCustomer" paramName="customer" paramId="customerId" paramProperty="id">delete</html:link>
  </display:column>   
	 <display:setProperty name="sort.behavior" value="list" />
 	<display:setProperty name="paging.banner.include_first_last" value="" />   	
</display:table>
</c:if>
</html:form>
</body>
</html>
